'use strict';
const uCache = require('./uCache');

module.exports = function isSupportSticky() {
    let sticky = uCache['sticky'];
    if (uCache['sticky'] === undefined) {
        uCache['sticky'] = (d => {
            let finded = ['sticky', '-webkit-sticky', '-moz-sticky', '-o-sticky', '-ms-sticky'].findIndex(prop => {
                try {
                    d.style.position = prop;
                } catch (e) {
                    return false;
                }
                return d.style.position === prop;
            });
            return finded > -1;
        })(document.createElement('div'));
    }
    return uCache['sticky'];
}
